在eclipse中匯入專案的時候出現了這個問題,廢了我半天勁,才搞明白,不好意思,本人剛接觸eclipse,不太熟,大神勿噴。我把問題記錄下來,方便大家以後遇到這問題好處理。提供參考。

出現的問題截圖:
在這裡插入圖片描述
因為我用的是tomcat7.0.62版本,tomcat7和tomcat8有區別的,

我用的tomcat7.0.62就有websocket-api.jar
如果你用的是tomcat7,那麼部署的時候要把專案lib目錄下的websocket-api.jar刪除,因為tomcat已經有這個包了,重複了雖然不報錯,但是執行的時候沒效果。。。
如果用tomcat8,重複了無所謂。
所以tomcat7直接引用外部包websocket-api.jar而不是複製到lib目錄,tomcat8就可以複製到lib目錄下

大體步驟:專案上點右鍵選中Properties->Java Build Path->Libraries->Add External JARs->選擇tomcat安裝目錄lib下的websocket-api jar包.就可以了。已經測試過。

大體如圖所示:

在這裡插入圖片描述
附帶一起把這個問題也給大家分享一下吧。
The import junit cannot be resolved:這個問題就是說:無法解決匯入Junit的問題。
在這裡插入圖片描述
點選右鍵
在這裡插入圖片描述
按步驟1,2,3,之後
再照下圖來進行,如圖:
在這裡插入圖片描述
最後一個finish我就不顯示圖片了。
總體步驟:
專案右鍵Properties->Java Build Path->Libraries->add library->Juint->next->finish